package cn.com.qmth.examcloud.exchange.outer.api.response;

import cn.com.qmth.examcloud.api.commons.exchange.EnterpriseResponse;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年11月16日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class OuterGetExamResp extends EnterpriseResponse {

    private static final long serialVersionUID = 1030154836013325322L;

    @ApiModelProperty(value = "顶级机构", example = "123")
    private Long rootOrgId;

    @ApiModelProperty(value = "考试ID", example = "123")
    private Long id;

    @ApiModelProperty(value = " 考试开始时间", example = "2024-06-01 08:00:00")
    private Date beginTime;

    @ApiModelProperty(value = " 考试结束时间", example = "2024-06-01 10:00:00")
    private Date endTime;

    @ApiModelProperty(value = "考试名称（实际为考试编码）", example = "2024年6月期末考试")
    private String name;

    @ApiModelProperty(value = " 考试类型（ONLINE:网考；OFFLINE:离线；PRACTICE:练习）", example = "ONLINE")
    private String examType;

    @ApiModelProperty(value = "考试时长（单位：分钟）", example = "120")
    private Integer duration;

    @ApiModelProperty(value = "是否启用", example = "true")
    private Boolean enable;

    @ApiModelProperty(value = "考试备注", example = "xxx")
    private String remark;

    @ApiModelProperty(value = "考试次数", example = "1")
    private Long examTimes;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getExamType() {
        return examType;
    }

    public void setExamType(String examType) {
        this.examType = examType;
    }

    public Integer getDuration() {
        return duration;
    }

    public void setDuration(Integer duration) {
        this.duration = duration;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getExamTimes() {
        return examTimes;
    }

    public void setExamTimes(Long examTimes) {
        this.examTimes = examTimes;
    }

}
